
usr/bin/gtk-query-immodules-2.0  > etc/gtk-2.0/gtk.immodules   # ueberfluessig, spaeter weg, sollte von gtk+2 installiert sein
usr/bin/gtk-query-immodules-3.0  > etc/gtk-3.0/gtk.immodules   # ueberfluessig, spaeter weg, sollte von gtk+2 installiert sein
usr/bin/gdk-pixbuf-query-loaders > etc/gtk-2.0/gdk-pixbuf.loaders
usr/bin/gdk-pixbuf-query-loaders > etc/gtk-3.0/gdk-pixbuf.loaders
usr/bin/gdk-pixbuf-query-loaders --update-cache >/dev/null 2>&1      
/usr/bin/gdk-pixbuf-query-loaders /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/*.so > /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache    
#/usr/bin/gdk-pixbuf-query-loaders /usr/lib/gdk-pixbuf-3.0/3.0.0/loaders/*.so > /usr/lib/gdk-pixbuf-3.0/3.0.0/loaders.cache     # aktivieren sobald da

chroot . /usr/bin/update-gdk-pixbuf-loaders 1> /dev/null 2> /dev/null        


# nachfolgendes wohl nicht wichtig

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi
	# Update the scrollkeeper database (Remove stale pieces)
	if [ -x usr/bin/scrollkeeper-update ]; then
		usr/bin/scrollkeeper-update > /dev/null 2>&1
	fi

